Skip to main content
GET
/
api
/
v1
/
driver
/
trips
/
{tripId}
/
passengers
List Trip Manifest
curl --request GET \
  --url https://api.example.com/api/v1/driver/trips/{tripId}/passengers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "ticketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tripId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tripItineraryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "seatId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "seatTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "passengerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "seatPrice": 123,
      "tripItineraryPrice": 123,
      "price": 123,
      "qrCode": "<string>",
      "code": "<string>",
      "snapshot": {},
      "boardedAt": "2023-11-07T05:31:56Z",
      "issuedAt": "2023-11-07T05:31:56Z",
      "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "limit": 10,
    "page": 1,
    "totalItems": 142,
    "totalPages": 15
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tripId
string<uuid>
required

Trip identifier

Example:

"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"

Query Parameters

limit
number
default:10

Items per page

Example:

10

page
number
default:1

Page number

Example:

1

sortBy
enum<string>
default:issuedAt

Field to sort by

Available options:
createdAt,
issuedAt
Example:

"issuedAt"

sortOrder
enum<string>
default:asc

Sort order

Available options:
asc,
desc
Example:

"asc"

tripItineraryId
string<uuid>

Trip itinerary identifier

Example:

"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3d"

status
enum<string>

Ticket status

Available options:
VALID,
CANCELLED
Example:

"VALID"

fields
string

Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.

Response

OK

data
object[]
required
meta
object
required

Page-based pagination metadata.